---
title: Delete Custom Origin Trust Store
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[ACM](https://developers.cloudflare.com/api/go/resources/acm)

[Custom Trust Store](https://developers.cloudflare.com/api/go/resources/acm/subresources/custom_trust_store)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Custom Origin Trust Store

client.ACM.CustomTrustStore.Delete(ctx, customOriginTrustStoreID, body) (\*[CustomTrustStoreDeleteResponse](<https://developers.cloudflare.com/api/go/resources/acm#(resource)%20acm.custom_trust_store%20%3E%20(model)%20CustomTrustStoreDeleteResponse%20%3E%20(schema)>), error)

DELETE/zones/{zone\_id}/acm/custom\_trust\_store/{custom\_origin\_trust\_store\_id}

Removes a root CA certificate from the custom origin trust store. Origins using certificates signed by this CA will no longer be trusted.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SSL and Certificates Write`

##### ParametersExpand Collapse

customOriginTrustStoreID string

Certificate identifier tag.

maxLength36

[Link to this property](<#(resource)%20acm.custom_trust_store%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20custom_origin_trust_store_id%20%3E%20(schema)>)

<details>

<summary>

body CustomTrustStoreDeleteParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20acm.custom_trust_store%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20acm.custom_trust_store%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type CustomTrustStoreDeleteResponse struct{…}

</summary>

ID stringOptional

Certificate identifier tag.

maxLength36

<a href="#(resource)%20acm.custom_trust_store%20%3E%20(model)%20CustomTrustStoreDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20acm.custom_trust_store%20%3E%20(model)%20CustomTrustStoreDeleteResponse%20%3E%20(schema)>)

### Delete Custom Origin Trust Store

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/acm"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  customTrustStore, err := client.ACM.CustomTrustStore.Delete(
    context.TODO(),
    "2458ce5a-0c35-4c7f-82c7-8e9487d3ff60",
    acm.CustomTrustStoreDeleteParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", customTrustStore.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "2458ce5a-0c35-4c7f-82c7-8e9487d3ff60"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "2458ce5a-0c35-4c7f-82c7-8e9487d3ff60"
  }
}
```